summaryrefslogtreecommitdiff
path: root/.private/appveyor_build.sh
diff options
context:
space:
mode:
Diffstat (limited to '.private/appveyor_build.sh')
-rwxr-xr-x.private/appveyor_build.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/.private/appveyor_build.sh b/.private/appveyor_build.sh
new file mode 100755
index 0000000..44ca46b
--- /dev/null
+++ b/.private/appveyor_build.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -eu
+
+buildsys="${1}-${Platform}"
+
+if [ "${buildsys}" == "MinGW-Win32" ]; then
+ export PATH="/c/mingw-w64/i686-6.3.0-posix-dwarf-rt_v5-rev1/mingw32/bin:${PATH}"
+elif [ "${buildsys}" == "MinGW-x64" ]; then
+ export PATH="/c/mingw-w64/x86_64-8.1.0-posix-seh-rt_v6-rev0/mingw64/bin:${PATH}"
+fi
+
+builddir="build-${buildsys}"
+installdir="${PWD}/libusb-${buildsys}"
+
+cd libusb
+
+echo "Bootstrapping ..."
+./bootstrap.sh
+echo ""
+
+exec .private/ci-build.sh --build-dir "${builddir}" --install -- "--prefix=${installdir}"